UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMXSP Class Reference

## Public Member Functions
| LBMXSP (LBMContext ctx, LBMContextAttributes ctxAttr, LBMXSPAttributes xspAttr) throws LBMException
final void | close () throws LBMException
void | processEvents (long msec) throws LBMException
void | unblockProcessEvents () throws LBMException

## Protected Member Functions
void | finalize ()

## Detailed Description

The LBMXSP. For more information on XSP, see Transport Services Provider (XSP).

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMXSP.LBMXSP | ( | LBMContext | ctx,
|  | LBMContextAttributes | ctxAttr,
|  | LBMXSPAttributes | xspAttr
| ) |  | throws LBMException

Instantiate an LBMXSP object using the given context and attributes objects.

For more information on XSP, see Transport Services Provider (XSP).

Parameters

  ctx | LBMContext that will own this XSP.
  ctxAttr | LBMContextAttributes that this XSP will use.
  xspAttr | LBMXSPAttributes that this XSP will use.

Exceptions

  LBMException | if any error occurs creating the XSP.

## Member Function Documentation

final void com.latencybusters.lbm.LBMXSP.close | ( |  | ) | throws LBMException

Close this XSP. There must be no remaining transports mapped to this XSP.

Referenced by com.latencybusters.lbm.LBMXSP.finalize().

void com.latencybusters.lbm.LBMXSP.finalize | ( |  | ) |
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMXSP.close().

void com.latencybusters.lbm.LBMXSP.processEvents | ( | long | msec | ) | throws LBMException

Process internal events in the given XSP object.

When the operational mode is set to "sequential", it is the responsibility of the application to explicitly process events for the XSP. This method will process timers and file descriptor/socket events for internal processing.

Warning: It is not safe to call this method from a context thread callback.

Parameters

  msec | Continue event processing loop for at least msec milliseconds before returning.

Exceptions

  LBMException | if any error occurs.

void com.latencybusters.lbm.LBMXSP.unblockProcessEvents | ( |  | ) | throws LBMException

Unblock processEvents call.

When the operational mode is set to "sequential", this API forces a call to processEvents to return immediately after completing the current set of I/O operations instead of waiting.

Exceptions

  LBMException | if any error occurs.

References com.latencybusters.lbm.LBMZeroTransportsCallback.onZeroTransports().

The documentation for this class was generated from the following file:

- LBMXSP.java